package id.iiyh.inatrading.feature.product.domain

import id.iiyh.inatrading.feature.product.data.model.ProductDetail
import id.iiyh.inatrading.feature.product.data.model.ProductItem

data class ProductPage(
    val items: List<ProductItem>,
    val totalItem: Int,
    val totalPage: Int,
)

interface ProductRepository {
    suspend fun getProducts(page: Int, limit: Int): Result<ProductPage>
    suspend fun getProductDetail(productId: String): Result<ProductDetail>
}
